﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace sqlite_VS2010_EF_Demo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            LoadData();
        }

        private void LoadData()
        {
            using (var db = new mll5644Entities())
            {
                this.dataGridView1.DataSource = db.users;
            }
        }

        Random rand = new Random();
        
        private void button1_Click(object sender, EventArgs e)
        {
            using (var db = new mll5644Entities())
            {
                var userid = Guid.NewGuid().ToString();
                var age = rand.Next(100);
                var birthday = DateTime.Now.AddYears(-age);

                var u = new users() { UserID = userid, Age = age, Birthday = birthday };
                db.users.AddObject(u);
                db.SaveChanges();
            }

            LoadData();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.LoadData();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            using (var db = new mll5644Entities())
            {
                var q = from user in db.users where user.Age > 75 || user.Age < 20 select user;
                this.dataGridView1.DataSource = q;
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            using (var db = new mll5644Entities())
            {
                var sql = @" select * from [users] where [Age]>50 ";
                var users = db.ExecuteStoreQuery<users>(sql).ToList();
                this.dataGridView1.DataSource = users;
            }
        }

        private void button5_Click(object sender, EventArgs e)
        {
            using (var db = new mll5644Entities())
            {
                var userid = Guid.NewGuid().ToString();
                var age = rand.Next(100);
                var birthday = DateTime.Now.AddYears(-age);

                var sqlFmt = @"INSERT INTO users(UserID, Age, Birthday) VALUES('{0}', {1}, '{2}')";
                var sql = string.Format(sqlFmt, userid, age, birthday.ToString("yyyy-MM-dd HH:mm:ss"));

                var line = db.ExecuteStoreCommand(sql);

                db.SaveChanges();
            }

            this.LoadData();
        }
    }
}
